Bug 203850 - graphics/zathura-pdf-mupdf: Add missing LIB_DEPENDS
Summary: graphics/zathura-pdf-mupdf: Add missing LIB_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-18 04:56 UTC by claudius
Modified: 2015-12-05 10:06 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (563 bytes, patch)
2015-10-19 18:02 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description claudius 2015-10-18 04:56:16 UTC
Hi,
I would like report a likely run time dependencies issue. 

When I install the zathura-pdf-mupdf package via pkg install, it installed the following package:
        
        jbig2dec: 0.11_4
	openjpeg: 2.1.1

I always clean up the unused packages via pkg autoremove, and the above two package are shown up.

When I removed the above 2 packages, I having issue of not able to open pdf files.

How to reproduce:
1/ sudo pkg install zathura-pdf-mupdf
2/ sudo pkg autoremove
Comment 1 Zsolt Udvari 2015-10-19 08:47:23 UTC
(In reply to claudius from comment #0)
$ ldd /usr/local/lib/zathura/pdf.so | grep jpeg
        libjpeg.so.8 => /usr/local/lib/libjpeg.so.8 (0x805006000)

$ pkg which /usr/local/lib/libjpeg.so.8
/usr/local/lib/libjpeg.so.8 was installed by package jpeg-turbo-1.4.2

$ pkg delete --dry-run jpeg-turbo | sed -n "1,4p ; /zathura/p"
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 92 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        zathura-0.3.3
        zathura-pdf-mupdf-0.2.7_3




It seems for me it's okay.
Comment 2 Zsolt Udvari 2015-10-19 08:49:57 UTC
Ooops, sorry.
$ ldd /usr/local/lib/zathura/pdf.so | grep openjp
        libopenjp2.so.7 => /usr/local/lib/libopenjp2.so.7 (0x804dce000)
$ pkg which /usr/local/lib/libopenjp2.so.7 
/usr/local/lib/libopenjp2.so.7 was installed by package openjpeg-2.1.0_1

$ pkg delete --dry-run openjpeg | sed -n "1,4p ; /zathura/p"
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 9 packages (of 0 packages in the universe):

Installed packages to be REMOVED:




It seems it's bug in package. I'll check it soon.
Comment 3 Zsolt Udvari 2015-10-19 18:02:10 UTC
I checked. Poudriere log: http://poudriere.uzsolt.hu/amd64-default/2015-10-19_19h09m38s/logs/zathura-pdf-mupdf-0.2.7_3.log
The openjpeg and jbig2dec will install as dependencies of mupdf which is only build-dependency of zathura-pdf-mupdf.

I think should add jbig2dec and openjpeg as LIB_DEPENDS.

Patch added.
Comment 4 Zsolt Udvari 2015-10-19 18:02:58 UTC
Created attachment 162214 [details]
patch
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 04:09:38 UTC
@Zsolt, can you confirm this passes QA (portlint, poudriere) please
Comment 7 Zsolt Udvari 2015-10-20 06:56:05 UTC
Sorry, the log before is simple "build", this is the "testport" log: http://poudriere.uzsolt.hu/latest-per-pkg/zathura-pdf-mupdf/0.2.7_3/amd64-default.log
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 07:42:27 UTC
Perfect, thank you! :)
Comment 9 commit-hook freebsd_committer 2015-10-20 08:12:43 UTC
A commit references this bug:

Author: koobs
Date: Tue Oct 20 08:11:54 UTC 2015
New revision: 399805
URL: https://svnweb.freebsd.org/changeset/ports/399805

Log:
  graphics/zathura-pdf-mupdf: Add missing LIB_DEPENDS

  Add missing jbig2dec and openjpeg to LIB_DEPENDS, registering them
  as run-time dependencies.

  Without this change, both packages are removed during pkg autoremove,
  resulting in the inability to open PDF files.

  PR:		203850
  Submitted by:	Zsolt Udvari <udvzsolt gmail com> (maintainer)
  MFH:		2015Q4

Changes:
  head/graphics/zathura-pdf-mupdf/Makefile
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-21 03:42:43 UTC
@Zsolt, can you provide the full ldd output of zathura (as an attachment) please
Comment 11 commit-hook freebsd_committer 2015-10-21 03:57:18 UTC
A commit references this bug:

Author: koobs
Date: Wed Oct 21 03:56:38 UTC 2015
New revision: 399887
URL: https://svnweb.freebsd.org/changeset/ports/399887

Log:
  MFH: r399805

  graphics/zathura-pdf-mupdf: Add missing LIB_DEPENDS

  Add missing jbig2dec and openjpeg to LIB_DEPENDS, registering them
  as run-time dependencies.

  Without this change, both packages are removed during pkg autoremove,
  resulting in the inability to open PDF files.

  PR:		203850
  Submitted by:	Zsolt Udvari <udvzsolt gmail com> (maintainer)

  Approved by:	portmgr (bdrewery)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/graphics/zathura-pdf-mupdf/Makefile
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-21 03:58:14 UTC
@Zsolt Ignore my request in comment 10, I found the information I needed at your poudriere server

Committed and MFH'd to quarterly branch, thank you Zsolt / Claudius!